> ## Documentation Index
> Fetch the complete documentation index at: https://docs.synctera.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List Transactions (deprecated)

> > ⚠ Deprecated
> Synctera recommends our partners integrate with V2 Transactions. If you are actively building, please reach out to your Support Team with any questions.

Get paginated list of transactions matching the provided filters




## OpenAPI

````yaml openapi-v1.json get /transactions
openapi: 3.0.3
info:
  description: >-
    This is the official reference documentation for Synctera APIs. If you need
    something specific or have a question, <a class='text-blue-600'
    href='https://synctera.com/contact-us' target='_blank'
    rel='noreferrer'>contact us</a>.</p>
  license:
    name: Apache 2.0
    url: https://www.apache.org/licenses/LICENSE-2.0.html
  title: Synctera API
  version: 1.181.0
servers:
  - description: Production
    url: https://api.synctera.com/v1
  - description: Sandbox (no real world financial impact)
    url: https://api-sandbox.synctera.com/v1
security:
  - bearerAuth: []
tags:
  - description: |
      Requests to create and manage Rewards
    name: Rewards (beta)
  - description: Requests to generate simulated webhooks
    name: Card Webhook Simulations
  - description: >-
      Testing endpoints to simulate in-store cash deposits. Available in sandbox
      environments only.
    name: In-Store Cash Deposit Simulations
  - description: Create and manage spending controls
    name: Spend Controls (beta)
  - description: Rates
    name: Rates
  - description: Requests to create and manage webhooks
    name: Webhooks
  - description: Tenant Config
    name: Tenant Config
  - description: FDX authentication and data transfer using Plaid Core Exchange
    name: Plaid Core Exchange (beta)
  - description: Create and manage disputes
    name: Disputes
  - description: Requests to simulate card payments
    name: Card Simulations
  - description: |
      Manage fee products and fee configs for automated fee collection
    name: Fee Products
  - description: Apple Pay APIs
    name: Apple Pay
  - description: Lending Config
    name: Lending Config
  - description: Payments related to lending accounts
    name: Payments
  - description: Manage negative balance processes
    name: Negative Balance
  - description: Configuration for mapping LoanPro events to Payola transaction parameters
    name: LoanPro Transaction Event Config
  - description: Requests to generate simulated transactions
    name: Cash Transaction Simulations (alpha)
  - description: Create and manage transactions
    name: Transactions (beta)
  - description: Autopay payment records for billing periods
    name: Autopays
  - description: Create and manage accounts
    name: Accounts
  - description: |
      Requests to create and manage batch payments
    name: Batch Payments (alpha)
  - description: Billing rates
    name: Billing Rates
  - description: Bank Delinquency Configuration
    name: Bank Delinquency Configuration
  - description: >-
      Rules that map a posted payment transaction (bank/partner + transaction
      attributes) to a regulatory payment code. NULL match columns act as
      wildcards.
    name: Payment Code Configuration
  - description: Create and manage Synctera Pay templates
    name: SyncteraPay
  - description: |
      Manage reward products and reward configs for automated cashback rewards
    name: Reward Products
  - description: Requests to create and manage card disputes
    name: Card Disputes
  - description: >-
      Per bank/partner account-type mapping to FFIEC collateral codes used for
      regulatory call report furnishment.
    name: Collateral Code Configuration
  - description: Bulk card issuance
    name: Bulk Issuance
  - description: Autopay configuration management for lending accounts
    name: Autopay Configs
  - description: Request to create and manage exclusions
    name: Statements
  - description: Create and manage barcodes for in-store cash deposits
    name: In-Store Cash Deposits
  - description: Customer Service Details for disputes and billing inquiries
    name: Customer Service Details
  - description: Create a credit application.
    name: Applications (beta)
  - description: Requests to generate simulated transactions
    name: Card Transaction Simulations
  - description: Billing period summaries
    name: Billing Period Summaries
  - description: Requests to issue and manage cards
    name: Cards
  - description: Push and pull from cards
    name: External Cards
  - description: |
      Requests to create and manage fees
    name: Fees (beta)
paths:
  /transactions:
    summary: List Transactions V1 (deprecated)
    get:
      tags:
        - Transactions (beta)
      summary: List Transactions (deprecated)
      description: >
        > ⚠ Deprecated

        > Synctera recommends our partners integrate with V2 Transactions. If
        you are actively building, please reach out to your Support Team with
        any questions.


        Get paginated list of transactions matching the provided filters
      operationId: listTransactions
      parameters:
        - $ref: '#/components/parameters/posted_amount'
        - $ref: '#/components/parameters/include_child_transactions'
        - $ref: '#/components/parameters/amount'
        - $ref: '#/components/parameters/posted_date'
        - $ref: '#/components/parameters/amount_lt'
        - $ref: '#/components/parameters/type_enum'
        - $ref: '#/components/parameters/posted_amount_gte'
        - $ref: '#/components/parameters/posted_amount_lt'
        - $ref: '#/components/parameters/posted_amount_lte'
        - $ref: '#/components/parameters/status_enum'
        - $ref: '#/components/parameters/derived_from_uuid'
        - $ref: '#/components/parameters/internal_account_id'
        - $ref: '#/components/parameters/pending_amount_lte'
        - $ref: '#/components/parameters/amount_gte'
        - $ref: '#/components/parameters/account_id'
        - $ref: '#/components/parameters/show_partial_clearings'
        - $ref: '#/components/parameters/group_id'
        - $ref: '#/components/parameters/pending_amount_gte'
        - $ref: '#/components/parameters/exclude_jit_transactions'
        - $ref: '#/components/parameters/page_token'
        - $ref: '#/components/parameters/card_id1'
        - $ref: '#/components/parameters/pending_amount'
        - $ref: '#/components/parameters/account_source'
        - $ref: '#/components/parameters/posted_date_from'
        - $ref: '#/components/parameters/posted_amount_gt'
        - $ref: '#/components/parameters/pending_amount_gt'
        - $ref: '#/components/parameters/limit'
        - $ref: '#/components/parameters/amount_gt'
        - $ref: '#/components/parameters/posted_date_to'
        - $ref: '#/components/parameters/amount_lte'
        - $ref: '#/components/parameters/subtype_enum'
        - $ref: '#/components/parameters/pending_amount_lt'
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/paginated_transactions'
          description: Paginated list of transactions
        '400':
          $ref: '#/components/responses/bad_request'
        '401':
          $ref: '#/components/responses/unauthorized'
        '403':
          $ref: '#/components/responses/forbidden'
        '422':
          $ref: '#/components/responses/unprocessable_entity'
        '500':
          $ref: '#/components/responses/internal_server_error'
components:
  parameters:
    posted_amount:
      description: Only return transactions equal to the given `posted_amount`
      in: query
      name: posted_amount
      schema:
        type: integer
    include_child_transactions:
      description: >-
        Include transactions from sub-accounts when listing transactions for a
        given account
      in: query
      name: include_child_transactions
      schema:
        type: boolean
    amount:
      description: Only return transactions equal to the given `amount`
      in: query
      name: amount
      schema:
        type: integer
    posted_date:
      description: Only return transactions matching the given `posted_date`
      in: query
      name: posted_date
      schema:
        format: date
        type: string
    amount_lt:
      description: Only return transactions with `amount` less than `amount_lt`
      in: query
      name: amount_lt
      schema:
        type: integer
    type_enum:
      description: Only return transactions matching the given type
      explode: false
      in: query
      name: type
      schema:
        example: ACH,CARD
        items:
          $ref: '#/components/schemas/transaction_types'
        type: array
    posted_amount_gte:
      description: >-
        Only return transactions with `posted_amount` greater than or equal to
        `posted_amount_gte`
      in: query
      name: posted_amount_gte
      schema:
        type: integer
    posted_amount_lt:
      description: >-
        Only return transactions with `posted_amount` less than
        `posted_amount_lt`
      in: query
      name: posted_amount_lt
      schema:
        type: integer
    posted_amount_lte:
      description: >-
        Only return transactions with `posted_amount` less than or equal to
        `posted_amount_lte`
      in: query
      name: posted_amount_lte
      schema:
        type: integer
    status_enum:
      description: Only return transactions with the given status or statuses
      explode: false
      in: query
      name: status
      schema:
        example: PENDING,DECLINED
        items:
          $ref: '#/components/schemas/transaction_statuses'
        type: array
    derived_from_uuid:
      description: >-
        Only return transactions that were derived from (triggered by) the
        specified transaction UUID. Typically used to surface the fee or reward
        transactions associated with a given posted/pending transaction.
      in: query
      name: derived_from_uuid
      schema:
        example: 54702cd9-789a-4a89-b2c6-ee168d26c540
        format: uuid
        type: string
    internal_account_id:
      description: Only return transactions matching the given `internal_account_id`
      in: query
      name: internal_account_id
      schema:
        format: uid
        type: string
    pending_amount_lte:
      description: >-
        Only return transactions with `pending_amount` less than or equal to
        `pending_amount_lte`
      in: query
      name: pending_amount_lte
      schema:
        type: integer
    amount_gte:
      description: >-
        Only return transactions with `amount` greater than or equal to
        `amount_gte`
      in: query
      name: amount_gte
      schema:
        type: integer
    account_id:
      description: Account ID
      explode: false
      in: query
      name: account_id
      schema:
        items:
          example: 7d943c51-e4ff-4e57-9558-08cab6b963c7
          format: uuid
          type: string
        type: array
    show_partial_clearings:
      description: Include a transaction for each clearing of an authorization.
      in: query
      name: show_partial_clearings
      schema:
        type: boolean
    group_id:
      description: Only return transactions matching the given `group_id`
      in: query
      name: group_id
      schema:
        format: uuid
        type: string
    pending_amount_gte:
      description: >-
        Only return transactions with `pending_amount` greater than or equal to
        `pending_amount_gte`
      in: query
      name: pending_amount_gte
      schema:
        type: integer
    exclude_jit_transactions:
      description: Hide "JIT funding" transactions from results
      in: query
      name: exclude_jit_transactions
      schema:
        type: boolean
    page_token:
      in: query
      name: page_token
      schema:
        description: >-
          Optional pagination token to be provided to retrieve subsequent pages,
          returned from previous get
        example: a8937a0d
        type: string
    card_id1:
      description: Card ID
      in: query
      name: card_id
      schema:
        example: 6dc0397d-1aba-4be9-9582-895a7a887d49
        format: uuid
        type: string
    pending_amount:
      description: Only return transactions equal to the given `pending_amount`
      in: query
      name: pending_amount
      schema:
        type: integer
    account_source:
      description: >-
        Determines whether to return only transactions against customer accounts
        (`CUSTOMER`) vs internal accounts (`INTERNAL`).

        The default is to return all transactions if no `account_source` is
        specified.
      in: query
      name: account_source
      schema:
        enum:
          - CUSTOMER
          - INTERNAL
        type: string
    posted_date_from:
      description: Only return transactions later than the given `posted_date`
      in: query
      name: posted_date_from
      schema:
        format: date
        type: string
    posted_amount_gt:
      description: >-
        only return transactions with `posted_amount` greater than
        `posted_amount_gt`
      in: query
      name: posted_amount_gt
      schema:
        type: integer
    pending_amount_gt:
      description: >-
        only return transactions with `pending_amount` greater than
        `pending_amount_gt`
      in: query
      name: pending_amount_gt
      schema:
        type: integer
    limit:
      in: query
      name: limit
      schema:
        default: 100
        description: >
          Maximum number of objects to return per page. If the limit is greater
          than 100, then it will be set to 100.
        example: 100
        minimum: 1
        type: integer
    amount_gt:
      description: Only return transactions with `amount` greater than `amount_gt`
      in: query
      name: amount_gt
      schema:
        type: integer
    posted_date_to:
      description: Only return transactions up to the given `posted_date`
      in: query
      name: posted_date_to
      schema:
        format: date
        type: string
    amount_lte:
      description: >-
        Only return transactions with `amount` less than or equal to
        `amount_lte`
      in: query
      name: amount_lte
      schema:
        type: integer
    subtype_enum:
      description: Only return transactions matching the given subtype
      explode: false
      in: query
      name: subtype
      schema:
        example: OUTGOING_DEBIT,INCOMING_CREDIT
        items:
          $ref: '#/components/schemas/all_transaction_subtypes'
        type: array
    pending_amount_lt:
      description: >-
        Only return transactions with `pending_amount` less than
        `pending_amount_lt`
      in: query
      name: pending_amount_lt
      schema:
        type: integer
  schemas:
    paginated_transactions:
      properties:
        next_page_token:
          description: >-
            If returned, use the value of `next_page_token` in the `page_token`
            query parameter to query for the next page of results. This will be
            `null` if there are no more pages.
          nullable: true
          type: string
        transactions:
          description: List of transactions
          items:
            $ref: '#/components/schemas/transaction1'
          type: array
      required:
        - next_page_token
        - transactions
      title: Paginated Transactions Response
      type: object
    transaction_types:
      description: >-
        The type of the transaction. This typically represents the "payment"
        rail that is used. For example, for ACH payments this will be `ach`,
        while debit card transactions will use `card`.
      enum:
        - ACH
        - CARD
        - CASH
        - CHECK
        - EXTERNAL_CARD
        - FEDNOW
        - FEE
        - INTERNAL_TRANSFER
        - REWARD
        - SYNCTERA_PAY
        - WIRE
      type: string
    transaction_statuses:
      description: The status of the transaction
      enum:
        - COMPLETE
        - DECLINED
        - PENDING
      type: string
    all_transaction_subtypes:
      anyOf:
        - $ref: '#/components/schemas/fednow_transaction_subtypes'
        - $ref: '#/components/schemas/external_card_transaction_subtypes'
        - $ref: '#/components/schemas/wire_transaction_subtypes'
        - $ref: '#/components/schemas/card_transaction_subtypes'
        - $ref: '#/components/schemas/check_transaction_subtypes'
        - $ref: '#/components/schemas/eft_ca_transaction_subtypes'
        - $ref: '#/components/schemas/internal_transfer_transaction_subtypes'
        - $ref: '#/components/schemas/synctera_pay_transaction_subtypes'
        - $ref: '#/components/schemas/cash_transaction_subtypes'
        - $ref: '#/components/schemas/reward_subtype'
        - $ref: '#/components/schemas/fee_subtype'
        - $ref: '#/components/schemas/ach_transaction_subtypes'
      description: The set of all possible transaction subtypes
    transaction1:
      discriminator:
        mapping:
          ACH:
            $ref: '#/components/schemas/ach_transaction'
          CARD:
            $ref: '#/components/schemas/card_transaction'
          CASH:
            $ref: '#/components/schemas/cash_transaction'
          CHECK:
            $ref: '#/components/schemas/check_transaction'
          EXTERNAL_CARD:
            $ref: '#/components/schemas/external_card_transaction'
          FEDNOW:
            $ref: '#/components/schemas/fednow_transaction'
          FEE:
            $ref: '#/components/schemas/fee_transaction'
          INTERNAL_TRANSFER:
            $ref: '#/components/schemas/internal_transfer_transaction'
          REWARD:
            $ref: '#/components/schemas/reward_transaction'
          SYNCTERA_PAY:
            $ref: '#/components/schemas/synctera_pay_transaction'
          WIRE:
            $ref: '#/components/schemas/wire_transaction'
        propertyName: type
      oneOf:
        - $ref: '#/components/schemas/card_transaction'
        - $ref: '#/components/schemas/fee_transaction'
        - $ref: '#/components/schemas/external_card_transaction'
        - $ref: '#/components/schemas/fednow_transaction'
        - $ref: '#/components/schemas/synctera_pay_transaction'
        - $ref: '#/components/schemas/check_transaction'
        - $ref: '#/components/schemas/wire_transaction'
        - $ref: '#/components/schemas/cash_transaction'
        - $ref: '#/components/schemas/ach_transaction'
        - $ref: '#/components/schemas/reward_transaction'
        - $ref: '#/components/schemas/internal_transfer_transaction'
      type: object
    error:
      description: Synctera error responses in API v1 implement a custom error schema.
      properties:
        code:
          description: >
            A machine-readable string that identifies the error for programmatic
            use.
          example: BAD_REQUEST_BODY
          type: string
        detail:
          description: |
            A human-readable string explaining this particular error.
          example: 'Missing required fields: first_name, dob'
          type: string
        status:
          description: HTTP status code for this response
          example: 400
          type: integer
      title: Synctera error response
      type: object
    fednow_transaction_subtypes:
      description: The set of valid FEDNOW transaction subtypes
      enum:
        - FEDNOW_INCOMING
        - FEDNOW_OUTGOING
      type: string
    external_card_transaction_subtypes:
      description: The set of valid EXTERNAL_CARD transaction subtypes
      enum:
        - CARD_FUNDING
        - CARD_FUNDING_REVERSAL
        - CARD_SEND
        - CARD_SEND_REVERSAL
        - CHARGEBACK_DEBIT
        - CHARGEBACK_DEBIT_REVERSAL
      type: string
    wire_transaction_subtypes:
      description: The set of valid WIRE transaction subtypes
      enum:
        - BULK_DOMESTIC_OUTGOING
        - BULK_DOMESTIC_OUTGOING_REVERSAL
        - DOMESTIC_INCOMING
        - DOMESTIC_INCOMING_RETURN
        - DOMESTIC_INCOMING_RETURN_REVERSAL
        - DOMESTIC_INCOMING_REVERSAL
        - DOMESTIC_OUTGOING
        - DOMESTIC_OUTGOING_RETURN
        - DOMESTIC_OUTGOING_RETURN_REVERSAL
        - DOMESTIC_OUTGOING_REVERSAL
        - INTERNATIONAL_INCOMING
        - INTERNATIONAL_INCOMING_RETURN
        - INTERNATIONAL_INCOMING_RETURN_REVERSAL
        - INTERNATIONAL_INCOMING_REVERSAL
        - INTERNATIONAL_OUTGOING
        - INTERNATIONAL_OUTGOING_RETURN
        - INTERNATIONAL_OUTGOING_RETURN_REVERSAL
        - INTERNATIONAL_OUTGOING_REVERSAL
      type: string
    card_transaction_subtypes:
      description: The set of valid CARD transaction subtypes
      enum:
        - ATM_WITHDRAWAL
        - ATM_WITHDRAWAL_REVERSAL
        - BALANCE_INQUIRY
        - CARD_NETWORK_FINAL_CHARGEBACK
        - CARD_NETWORK_FINAL_CHARGEBACK_REVERSAL
        - CARD_NETWORK_FIRST_CHARGEBACK
        - CARD_NETWORK_FIRST_CHARGEBACK_REVERSAL
        - CARD_NETWORK_REPRESENTMENT
        - CARD_NETWORK_REPRESENTMENT_REVERSAL
        - CARD_TRANSACTION
        - CARD_TRANSACTION_REVERSAL
        - CHARGEBACK
        - CHARGEBACK_REVERSAL
        - CREDIT
        - CREDIT_REVERSAL
        - DIRECTPOST
        - DIRECTPOST_REVERSAL
        - POS_CASHBACK
        - POS_CASHBACK_REVERSAL
        - POS_PURCHASE
        - POS_PURCHASE_REFUND
        - POS_PURCHASE_REFUND_REVERSAL
        - POS_PURCHASE_REVERSAL
        - POS_REFUND
        - POS_REFUND_REVERSAL
        - PROVISIONAL_CREDIT
        - PROVISIONAL_CREDIT_REVERSAL
      type: string
    check_transaction_subtypes:
      description: The set of valid CHECK transaction subtypes
      enum:
        - MOBILE_DEPOSIT
        - MOBILE_DEPOSIT_RETURN
        - MOBILE_DEPOSIT_RETURN_REVERSAL
        - MOBILE_DEPOSIT_REVERSAL
      type: string
    eft_ca_transaction_subtypes:
      description: The set of valid EFT_CA transaction subtypes
      enum:
        - EFT_CA_BULK_OUTGOING_CREDIT
        - EFT_CA_BULK_OUTGOING_CREDIT_RETURN
        - EFT_CA_BULK_OUTGOING_CREDIT_RETURN_REVERSAL
        - EFT_CA_BULK_OUTGOING_CREDIT_REVERSAL
        - EFT_CA_BULK_OUTGOING_DEBIT
        - EFT_CA_BULK_OUTGOING_DEBIT_RETURN
        - EFT_CA_BULK_OUTGOING_DEBIT_RETURN_REVERSAL
        - EFT_CA_BULK_OUTGOING_DEBIT_REVERSAL
        - EFT_CA_INCOMING_CREDIT
        - EFT_CA_INCOMING_CREDIT_RETURN
        - EFT_CA_INCOMING_CREDIT_RETURN_REVERSAL
        - EFT_CA_INCOMING_CREDIT_REVERSAL
        - EFT_CA_INCOMING_DEBIT
        - EFT_CA_INCOMING_DEBIT_RETURN
        - EFT_CA_INCOMING_DEBIT_RETURN_REVERSAL
        - EFT_CA_INCOMING_DEBIT_REVERSAL
        - EFT_CA_OUTGOING_CREDIT
        - EFT_CA_OUTGOING_CREDIT_RETURN
        - EFT_CA_OUTGOING_CREDIT_RETURN_REVERSAL
        - EFT_CA_OUTGOING_CREDIT_REVERSAL
        - EFT_CA_OUTGOING_DEBIT
        - EFT_CA_OUTGOING_DEBIT_RETURN
        - EFT_CA_OUTGOING_DEBIT_RETURN_REVERSAL
        - EFT_CA_OUTGOING_DEBIT_REVERSAL
      type: string
    internal_transfer_transaction_subtypes:
      description: The set of valid INTERNAL_TRANSFER transaction subtypes
      enum:
        - ACCOUNT_BALANCE_ADJUSTMENT
        - ACCOUNT_BALANCE_ADJUSTMENT_REVERSAL
        - ACCOUNT_DECREASE_LIMIT
        - ACCOUNT_DECREASE_LIMIT_REVERSAL
        - ACCOUNT_INCREASE_LIMIT
        - ACCOUNT_INCREASE_LIMIT_REVERSAL
        - ACCOUNT_TO_ACCOUNT
        - ACCOUNT_TO_ACCOUNT_REVERSAL
        - ACCOUNT_TO_ACCOUNT_SWEEP
        - ACCOUNT_TO_ACCOUNT_SWEEP_REVERSAL
        - ACH_CREDIT_SWEEP
        - ACH_CREDIT_SWEEP_REVERSAL
        - ACH_DEBIT_SWEEP
        - ACH_DEBIT_SWEEP_REVERSAL
        - ACH_FLOAT_TRANSFER
        - ACH_FLOAT_TRANSFER_REVERSAL
        - ACH_INCOMING_CREDIT_SWEEP
        - ACH_INCOMING_CREDIT_SWEEP_REVERSAL
        - ACH_INCOMING_DEBIT_SWEEP
        - ACH_INCOMING_DEBIT_SWEEP_REVERSAL
        - ACH_INCOMING_RETURN_CREDIT_SWEEP
        - ACH_INCOMING_RETURN_CREDIT_SWEEP_REVERSAL
        - ACH_INCOMING_RETURN_DEBIT_SWEEP
        - ACH_INCOMING_RETURN_DEBIT_SWEEP_REVERSAL
        - ACH_OUTGOING_CREDIT_SWEEP
        - ACH_OUTGOING_CREDIT_SWEEP_REVERSAL
        - ACH_OUTGOING_DEBIT_SWEEP
        - ACH_OUTGOING_DEBIT_SWEEP_REVERSAL
        - ACH_OUTGOING_RETURN_CREDIT_SWEEP
        - ACH_OUTGOING_RETURN_CREDIT_SWEEP_REVERSAL
        - ACH_OUTGOING_RETURN_DEBIT_SWEEP
        - ACH_OUTGOING_RETURN_DEBIT_SWEEP_REVERSAL
        - ACH_SWEEP
        - ACH_SWEEP_REVERSAL
        - AUTO_PAYMENT
        - AUTO_PAYMENT_REVERSAL
        - BULK_DOMESTIC_WIRE_OUTGOING_SWEEP
        - BULK_DOMESTIC_WIRE_OUTGOING_SWEEP_REVERSAL
        - BULK_EFT_CA_OUTGOING_CREDIT_SWEEP
        - BULK_EFT_CA_OUTGOING_CREDIT_SWEEP_REVERSAL
        - BULK_EFT_CA_OUTGOING_DEBIT_SWEEP
        - BULK_EFT_CA_OUTGOING_DEBIT_SWEEP_REVERSAL
        - CARD_CHARGEBACK_CASE_WON_SWEEP
        - CARD_CHARGEBACK_CASE_WON_SWEEP_REVERSAL
        - CARD_CHARGEBACK_WRITEOFF_SWEEP
        - CARD_CHARGEBACK_WRITEOFF_SWEEP_REVERSAL
        - CARD_PROVISIONAL_CREDIT_SWEEP
        - CARD_PROVISIONAL_CREDIT_SWEEP_REVERSAL
        - CASHBACK
        - CASHBACK_REVERSAL
        - CASHBACK_SWEEP
        - CASHBACK_SWEEP_REVERSAL
        - CASH_DEPOSIT_KIOSK
        - CASH_DEPOSIT_KIOSK_REVERSAL
        - CHECK_DEPOSIT_KIOSK
        - CHECK_DEPOSIT_KIOSK_GOV
        - CHECK_DEPOSIT_KIOSK_GOV_REVERSAL
        - CHECK_DEPOSIT_KIOSK_PAYROLL
        - CHECK_DEPOSIT_KIOSK_PAYROLL_REVERSAL
        - CHECK_DEPOSIT_KIOSK_REVERSAL
        - CHECK_DEPOSIT_MOBILE
        - CHECK_DEPOSIT_MOBILE_REVERSAL
        - CREDIT_MEMO
        - CREDIT_MEMO_REVERSAL
        - DOMESTIC_MONEY_TRANSFER_ATM_WITHDRAWAL
        - DOMESTIC_MONEY_TRANSFER_ATM_WITHDRAWAL_REVERSAL
        - DOMESTIC_MONEY_TRANSFER_BANK_DEPOSIT
        - DOMESTIC_MONEY_TRANSFER_BANK_DEPOSIT_REVERSAL
        - DOMESTIC_MONEY_TRANSFER_CASH_PICKUP
        - DOMESTIC_MONEY_TRANSFER_CASH_PICKUP_REVERSAL
        - DOMESTIC_MONEY_TRANSFER_HOME_DELIVERY
        - DOMESTIC_MONEY_TRANSFER_HOME_DELIVERY_REVERSAL
        - DOMESTIC_MONEY_TRANSFER_MOBILE_WALLET
        - DOMESTIC_MONEY_TRANSFER_MOBILE_WALLET_REVERSAL
        - DOMESTIC_WIRE_INCOMING_RETURN_SWEEP
        - DOMESTIC_WIRE_INCOMING_RETURN_SWEEP_REVERSAL
        - DOMESTIC_WIRE_INCOMING_SWEEP
        - DOMESTIC_WIRE_INCOMING_SWEEP_REVERSAL
        - DOMESTIC_WIRE_OUTGOING_RETURN_SWEEP
        - DOMESTIC_WIRE_OUTGOING_RETURN_SWEEP_REVERSAL
        - DOMESTIC_WIRE_OUTGOING_SWEEP
        - DOMESTIC_WIRE_OUTGOING_SWEEP_REVERSAL
        - EFT_CA_INCOMING_CREDIT_RETURN_SWEEP
        - EFT_CA_INCOMING_CREDIT_RETURN_SWEEP_REVERSAL
        - EFT_CA_INCOMING_CREDIT_SWEEP
        - EFT_CA_INCOMING_CREDIT_SWEEP_REVERSAL
        - EFT_CA_INCOMING_DEBIT_RETURN_SWEEP
        - EFT_CA_INCOMING_DEBIT_RETURN_SWEEP_REVERSAL
        - EFT_CA_INCOMING_DEBIT_SWEEP
        - EFT_CA_INCOMING_DEBIT_SWEEP_REVERSAL
        - EFT_CA_OUTGOING_CREDIT_RETURN_SWEEP
        - EFT_CA_OUTGOING_CREDIT_RETURN_SWEEP_REVERSAL
        - EFT_CA_OUTGOING_CREDIT_SWEEP
        - EFT_CA_OUTGOING_CREDIT_SWEEP_REVERSAL
        - EFT_CA_OUTGOING_DEBIT_RETURN_SWEEP
        - EFT_CA_OUTGOING_DEBIT_RETURN_SWEEP_REVERSAL
        - EFT_CA_OUTGOING_DEBIT_SWEEP
        - EFT_CA_OUTGOING_DEBIT_SWEEP_REVERSAL
        - ETRANSFER_SWEEP
        - ETRANSFER_SWEEP_REVERSAL
        - EXCHANGE_RATE_DIFFERENCE_GAIN
        - EXCHANGE_RATE_DIFFERENCE_GAIN_REVERSAL
        - EXCHANGE_RATE_DIFFERENCE_LOSS
        - EXCHANGE_RATE_DIFFERENCE_LOSS_REVERSAL
        - FEE
        - FEE_REVERSAL
        - FEE_SWEEP
        - FEE_SWEEP_REVERSAL
        - FORCE_PAYMENT
        - FORCE_PAYMENT_REVERSAL
        - GENERAL_FEE_SWEEP
        - GENERAL_FEE_SWEEP_REVERSAL
        - GENERAL_INTERNAL_TRANSFER_SWEEP
        - GENERAL_INTERNAL_TRANSFER_SWEEP_REVERSAL
        - GENERAL_REWARD_SWEEP
        - GENERAL_REWARD_SWEEP_REVERSAL
        - INCOMING_WIRE
        - INCOMING_WIRE_REVERSAL
        - INCOMING_WIRE_SWEEP
        - INCOMING_WIRE_SWEEP_REVERSAL
        - INTEREST_CHARGED
        - INTEREST_CHARGED_REVERSAL
        - INTEREST_CHARGED_SWEEP
        - INTEREST_CHARGED_SWEEP_REVERSAL
        - INTEREST_CORRECTION
        - INTEREST_CORRECTION_REVERSAL
        - INTEREST_PAYOUT
        - INTEREST_PAYOUT_REVERSAL
        - INTEREST_PAYOUT_SWEEP
        - INTEREST_PAYOUT_SWEEP_REVERSAL
        - INTERNATIONAL_WIRE_INCOMING_SWEEP
        - INTERNATIONAL_WIRE_INCOMING_SWEEP_REVERSAL
        - INTERNATIONAL_WIRE_OUTGOING_RETURN_SWEEP
        - INTERNATIONAL_WIRE_OUTGOING_RETURN_SWEEP_REVERSAL
        - INTERNATIONAL_WIRE_OUTGOING_SWEEP
        - INTERNATIONAL_WIRE_OUTGOING_SWEEP_REVERSAL
        - INVOICE
        - INVOICE_REVERSAL
        - IN_STORE_CASH_DEPOSIT_SWEEP
        - IN_STORE_CASH_DEPOSIT_SWEEP_REVERSAL
        - JIT_FUND
        - JIT_FUND_REVERSAL
        - LOAN_DISBURSEMENT
        - LOAN_DISBURSEMENT_REVERSAL
        - LOAN_FUNDING
        - LOAN_FUNDING_REVERSAL
        - LOC_USAGE
        - LOC_USAGE_REVERSAL
        - MANUAL_ADJUSTMENT
        - MANUAL_ADJUSTMENT_REVERSAL
        - MANUAL_ADJUSTMENT_SWEEP
        - MANUAL_ADJUSTMENT_SWEEP_REVERSAL
        - MANUAL_AFT_SWEEP
        - MANUAL_AFT_SWEEP_REVERSAL
        - MANUAL_CARD_SWEEP
        - MANUAL_CARD_SWEEP_REVERSAL
        - MANUAL_CASH_DEPOSIT_SWEEP
        - MANUAL_CASH_DEPOSIT_SWEEP_REVERSAL
        - MANUAL_CASH_ORDER_SWEEP
        - MANUAL_CASH_ORDER_SWEEP_REVERSAL
        - MANUAL_CHECK_ISSUANCE
        - MANUAL_CHECK_ISSUANCE_REVERSAL
        - MANUAL_CHECK_SWEEP
        - MANUAL_CHECK_SWEEP_REVERSAL
        - MANUAL_OCT_SWEEP
        - MANUAL_OCT_SWEEP_REVERSAL
        - MANUAL_WIRE_SWEEP
        - MANUAL_WIRE_SWEEP_REVERSAL
        - MARKETPLACE_BILL_PAY
        - MARKETPLACE_BILL_PAY_REVERSAL
        - MARKETPLACE_EVENT_TICKETS
        - MARKETPLACE_EVENT_TICKETS_REVERSAL
        - MARKETPLACE_GIFT_CARD
        - MARKETPLACE_GIFT_CARD_REVERSAL
        - MARKETPLACE_MOBILE_TOP_UP
        - MARKETPLACE_MOBILE_TOP_UP_REVERSAL
        - MASTERCARD_GROSS_SWEEP
        - MASTERCARD_GROSS_SWEEP_REVERSAL
        - MASTERCARD_INTERCHANGE_SWEEP
        - MASTERCARD_INTERCHANGE_SWEEP_REVERSAL
        - MASTERCARD_NET_SWEEP
        - MASTERCARD_NET_SWEEP_REVERSAL
        - MISC_CREDIT
        - MISC_CREDIT_REVERSAL
        - MOBILE_DEPOSIT_RETURN_SWEEP
        - MOBILE_DEPOSIT_RETURN_SWEEP_REVERSAL
        - MOBILE_DEPOSIT_SWEEP
        - MOBILE_DEPOSIT_SWEEP_REVERSAL
        - NEGATIVE_BALANCE_DRAW
        - NEGATIVE_BALANCE_DRAW_REVERSAL
        - NEGATIVE_BALANCE_REPAYMENT
        - NEGATIVE_BALANCE_REPAYMENT_REVERSAL
        - NEGATIVE_BALANCE_RESERVE
        - NEGATIVE_BALANCE_RESERVE_REVERSAL
        - NEGATIVE_BALANCE_WRITEOFF
        - NEGATIVE_BALANCE_WRITEOFF_REVERSAL
        - NETWORK_ADJUSTMENT_SWEEP
        - NETWORK_ADJUSTMENT_SWEEP_REVERSAL
        - NETWORK_CHARGEBACK_SWEEP
        - NETWORK_CHARGEBACK_SWEEP_REVERSAL
        - OUTGOING_INTERNATIONAL_REMITTANCE
        - OUTGOING_INTERNATIONAL_REMITTANCE_REVERSAL
        - OVERDUE_CARD_WRITEOFF
        - OVERDUE_CARD_WRITEOFF_REVERSAL
        - PEER_TO_PEER
        - PEER_TO_PEER_REVERSAL
        - PROGRAM_DECREASE
        - PROGRAM_DECREASE_REVERSAL
        - PROGRAM_EXPANSION
        - PROGRAM_EXPANSION_REVERSAL
        - PROMOTIONAL_CREDIT
        - PROMOTIONAL_CREDIT_REVERSAL
        - PROMOTIONAL_CREDIT_SWEEP
        - PROMOTIONAL_CREDIT_SWEEP_REVERSAL
        - PULSE_GROSS_SWEEP
        - PULSE_GROSS_SWEEP_REVERSAL
        - PULSE_INTERCHANGE_SWEEP
        - PULSE_INTERCHANGE_SWEEP_REVERSAL
        - REPAYMENT
        - REPAYMENT_REVERSAL
        - REVENUE_DISBURSEMENT
        - REVENUE_DISBURSEMENT_REVERSAL
        - SECURITY_ACCOUNT_PAYMENT
        - SECURITY_ACCOUNT_PAYMENT_REVERSAL
        - SECURITY_OVERPAY_ADJUSTMENT
        - SECURITY_OVERPAY_ADJUSTMENT_REVERSAL
        - SIGN_UP_BONUS
        - SIGN_UP_BONUS_REVERSAL
        - SUBSCRIPTION_FEE
        - SUBSCRIPTION_FEE_REVERSAL
        - TRANSFER_FEE
        - TRANSFER_FEE_REVERSAL
        - TRANSFER_FEE_REVERSAL_REVERSAL
        - VISA_GROSS_SWEEP
        - VISA_GROSS_SWEEP_REVERSAL
        - VISA_INTERCHANGE_SWEEP
        - VISA_INTERCHANGE_SWEEP_REVERSAL
        - VISA_NET_SWEEP
        - VISA_NET_SWEEP_REVERSAL
      type: string
    synctera_pay_transaction_subtypes:
      description: The set of valid Synctera Pay transaction subtypes
      enum:
        - INCOMING_INTERAC_AUTODEPOSIT
        - INCOMING_INTERAC_AUTODEPOSIT_RETURN
        - INCOMING_INTERAC_AUTODEPOSIT_RETURN_REVERSAL
        - INCOMING_INTERAC_AUTODEPOSIT_REVERSAL
        - INCOMING_INTERAC_E_TRANSFER
        - INCOMING_INTERAC_E_TRANSFER_RETURN
        - INCOMING_INTERAC_E_TRANSFER_RETURN_REVERSAL
        - INCOMING_INTERAC_E_TRANSFER_REVERSAL
        - INCOMING_INTERNATIONAL_WIRE
        - INCOMING_INTERNATIONAL_WIRE_REVERSAL
        - OUTGOING_ACCOUNT_TRANSFER
        - OUTGOING_ACCOUNT_TRANSFER_RETURN
        - OUTGOING_ACCOUNT_TRANSFER_RETURN_REVERSAL
        - OUTGOING_ACCOUNT_TRANSFER_REVERSAL
        - OUTGOING_BILL_PAYMENT
        - OUTGOING_BILL_PAYMENT_RETURN
        - OUTGOING_BILL_PAYMENT_RETURN_REVERSAL
        - OUTGOING_BILL_PAYMENT_REVERSAL
        - OUTGOING_CARD_LOAD
        - OUTGOING_CARD_LOAD_REVERSAL
        - OUTGOING_DOMESTIC_MONEY_TRANSFER_ATM_WITHDRAWAL
        - OUTGOING_DOMESTIC_MONEY_TRANSFER_ATM_WITHDRAWAL_RETURN
        - OUTGOING_DOMESTIC_MONEY_TRANSFER_ATM_WITHDRAWAL_REVERSAL
        - OUTGOING_DOMESTIC_MONEY_TRANSFER_BANK_DEPOSIT
        - OUTGOING_DOMESTIC_MONEY_TRANSFER_BANK_DEPOSIT_RETURN
        - OUTGOING_DOMESTIC_MONEY_TRANSFER_BANK_DEPOSIT_REVERSAL
        - OUTGOING_DOMESTIC_MONEY_TRANSFER_CASH_PICKUP
        - OUTGOING_DOMESTIC_MONEY_TRANSFER_CASH_PICKUP_RETURN
        - OUTGOING_DOMESTIC_MONEY_TRANSFER_CASH_PICKUP_REVERSAL
        - OUTGOING_DOMESTIC_MONEY_TRANSFER_HOME_DELIVERY
        - OUTGOING_DOMESTIC_MONEY_TRANSFER_HOME_DELIVERY_RETURN
        - OUTGOING_DOMESTIC_MONEY_TRANSFER_HOME_DELIVERY_REVERSAL
        - OUTGOING_DOMESTIC_MONEY_TRANSFER_MOBILE_WALLET
        - OUTGOING_DOMESTIC_MONEY_TRANSFER_MOBILE_WALLET_RETURN
        - OUTGOING_DOMESTIC_MONEY_TRANSFER_MOBILE_WALLET_REVERSAL
        - OUTGOING_INTERAC_E_TRANSFER
        - OUTGOING_INTERAC_E_TRANSFER_RETURN
        - OUTGOING_INTERAC_E_TRANSFER_RETURN_REVERSAL
        - OUTGOING_INTERAC_E_TRANSFER_REVERSAL
        - OUTGOING_INTERNATIONAL_MONEY_TRANSFER_ATM_WITHDRAWAL
        - OUTGOING_INTERNATIONAL_MONEY_TRANSFER_ATM_WITHDRAWAL_RETURN
        - OUTGOING_INTERNATIONAL_MONEY_TRANSFER_ATM_WITHDRAWAL_REVERSAL
        - OUTGOING_INTERNATIONAL_MONEY_TRANSFER_BANK_DEPOSIT
        - OUTGOING_INTERNATIONAL_MONEY_TRANSFER_BANK_DEPOSIT_RETURN
        - OUTGOING_INTERNATIONAL_MONEY_TRANSFER_BANK_DEPOSIT_REVERSAL
        - OUTGOING_INTERNATIONAL_MONEY_TRANSFER_CASH_PICKUP
        - OUTGOING_INTERNATIONAL_MONEY_TRANSFER_CASH_PICKUP_RETURN
        - OUTGOING_INTERNATIONAL_MONEY_TRANSFER_CASH_PICKUP_REVERSAL
        - OUTGOING_INTERNATIONAL_MONEY_TRANSFER_HOME_DELIVERY
        - OUTGOING_INTERNATIONAL_MONEY_TRANSFER_HOME_DELIVERY_RETURN
        - OUTGOING_INTERNATIONAL_MONEY_TRANSFER_HOME_DELIVERY_REVERSAL
        - OUTGOING_INTERNATIONAL_MONEY_TRANSFER_MOBILE_WALLET
        - OUTGOING_INTERNATIONAL_MONEY_TRANSFER_MOBILE_WALLET_RETURN
        - OUTGOING_INTERNATIONAL_MONEY_TRANSFER_MOBILE_WALLET_REVERSAL
        - OUTGOING_INTERNATIONAL_REMITTANCE
        - OUTGOING_INTERNATIONAL_REMITTANCE_RETURN
        - OUTGOING_INTERNATIONAL_REMITTANCE_RETURN_REVERSAL
        - OUTGOING_INTERNATIONAL_REMITTANCE_REVERSAL
      type: string
    cash_transaction_subtypes:
      description: The set of valid CASH transaction subtypes
      enum:
        - CASH_ORDER
        - CASH_ORDER_REVERSAL
        - DEPOSIT
        - DEPOSIT_REVERSAL
        - IN_STORE_DEPOSIT
        - IN_STORE_DEPOSIT_REVERSAL
      type: string
    reward_subtype:
      description: |
        A short string representing the sub-type of the reward.
        This will be used as the subtype of the resulting transaction.
      enum:
        - ACCOUNT_OPENING_BONUS
        - ACCOUNT_OPENING_BONUS_REVERSAL
        - CASHBACK
        - CASHBACK_REVERSAL
        - INTEREST_RATE_BONUS
        - INTEREST_RATE_BONUS_REVERSAL
        - LOAN_INTEREST_RATE_REDUCTION
        - LOAN_INTEREST_RATE_REDUCTION_REVERSAL
        - MANUAL_ADJUSTMENT
        - MANUAL_ADJUSTMENT_REVERSAL
        - MILES
        - MILES_REVERSAL
        - MISCELLANEOUS
        - MISCELLANEOUS_REVERSAL
        - POINTS
        - POINTS_REVERSAL
        - REFERRAL_BONUS
        - REFERRAL_BONUS_REVERSAL
      type: string
    fee_subtype:
      description: |
        A short string representing the sub-type of the fee.
        This will be used as the subtype of the resulting transaction.
      enum:
        - ACCOUNT_FUNDING_AFT
        - ACCOUNT_FUNDING_AFT_REVERSAL
        - ACH_INCOMING_TRANSFER
        - ACH_INCOMING_TRANSFER_REVERSAL
        - ACH_OUTGOING_TRANSFER
        - ACH_OUTGOING_TRANSFER_REVERSAL
        - APPLICATION
        - APPLICATION_REVERSAL
        - ATM_BALANCE_INQUIRY
        - ATM_BALANCE_INQUIRY_REVERSAL
        - ATM_WITHDRAWAL
        - ATM_WITHDRAWAL_REVERSAL
        - BALANCE_TRANSFER
        - BALANCE_TRANSFER_REVERSAL
        - BILL_PAY
        - BILL_PAY_REVERSAL
        - CARD_DELIVERY
        - CARD_DELIVERY_REVERSAL
        - CARD_REPLACEMENT
        - CARD_REPLACEMENT_REVERSAL
        - CASH_ADVANCE
        - CASH_ADVANCE_REVERSAL
        - CASH_DEPOSIT
        - CASH_DEPOSIT_REVERSAL
        - CHECK_ISSUANCE
        - CHECK_ISSUANCE_REVERSAL
        - CROSS_BORDER_TRANSACTION
        - CROSS_BORDER_TRANSACTION_REVERSAL
        - EFT_TRANSFER
        - EFT_TRANSFER_REVERSAL
        - FOREIGN_ATM
        - FOREIGN_ATM_REVERSAL
        - FOREIGN_TRANSACTION
        - FOREIGN_TRANSACTION_REVERSAL
        - INACTIVITY
        - INACTIVITY_REVERSAL
        - LATE_PAYMENT
        - LATE_PAYMENT_REVERSAL
        - MAINTENANCE
        - MAINTENANCE_REVERSAL
        - MISCELLANEOUS
        - MISCELLANEOUS_REVERSAL
        - ORIGINATION
        - ORIGINATION_REVERSAL
        - OVERDRAFT
        - OVERDRAFT_REVERSAL
        - OVER_THE_LIMIT
        - OVER_THE_LIMIT_REVERSAL
        - RETURNED_ITEM
        - RETURNED_ITEM_REVERSAL
        - RETURNED_PAYMENT
        - RETURNED_PAYMENT_REVERSAL
        - STOP_PAYMENT
        - STOP_PAYMENT_REVERSAL
        - SUBSCRIPTION
        - SUBSCRIPTION_REVERSAL
        - WIRE_TRANSFER
        - WIRE_TRANSFER_REVERSAL
      type: string
    ach_transaction_subtypes:
      description: The set of valid ACH transaction subtypes
      enum:
        - INCOMING_CREDIT
        - INCOMING_CREDIT_CONTESTED_RETURN
        - INCOMING_CREDIT_DISHONORED_RETURN
        - INCOMING_CREDIT_RETURN
        - INCOMING_CREDIT_REVERSAL
        - INCOMING_DEBIT
        - INCOMING_DEBIT_CONTESTED_RETURN
        - INCOMING_DEBIT_DISHONORED_RETURN
        - INCOMING_DEBIT_DISHONORED_RETURN_REVERSAL
        - INCOMING_DEBIT_RETURN
        - INCOMING_DEBIT_RETURN_REVERSAL
        - INCOMING_DEBIT_REVERSAL
        - OUTGOING_CREDIT
        - OUTGOING_CREDIT_CONTESTED_RETURN
        - OUTGOING_CREDIT_DISHONORED_RETURN
        - OUTGOING_CREDIT_RETURN
        - OUTGOING_CREDIT_REVERSAL
        - OUTGOING_DEBIT
        - OUTGOING_DEBIT_CONTESTED_RETURN
        - OUTGOING_DEBIT_DISHONORED_RETURN
        - OUTGOING_DEBIT_RETURN
        - OUTGOING_DEBIT_REVERSAL
        - PRENOTE
        - TEMP_HOLD
      type: string
    ach_transaction:
      allOf:
        - properties:
            ach_transaction:
              $ref: '#/components/schemas/ach_transaction_data'
            subtype:
              $ref: '#/components/schemas/ach_transaction_subtypes'
          required:
            - ach_transaction
            - subtype
          type: object
        - $ref: '#/components/schemas/base_transaction'
      title: ACH Transaction
    card_transaction:
      allOf:
        - properties:
            card_transaction:
              $ref: '#/components/schemas/card_transaction_data'
            subtype:
              $ref: '#/components/schemas/card_transaction_subtypes'
          required:
            - card_transaction
            - subtype
          type: object
        - $ref: '#/components/schemas/base_transaction'
      title: Card Transaction
    cash_transaction:
      allOf:
        - $ref: '#/components/schemas/base_transaction'
        - properties:
            cash_transaction:
              $ref: '#/components/schemas/cash_transaction_data'
            subtype:
              $ref: '#/components/schemas/cash_transaction_subtypes'
          required:
            - cash_transaction
            - subtype
          type: object
      title: Cash Transaction
    check_transaction:
      allOf:
        - $ref: '#/components/schemas/base_transaction'
        - properties:
            check_transaction:
              $ref: '#/components/schemas/check_transaction_data'
            subtype:
              $ref: '#/components/schemas/check_transaction_subtypes'
          required:
            - check_transaction
            - subtype
          type: object
      title: Check Transaction
    external_card_transaction:
      allOf:
        - properties:
            external_card_transaction:
              $ref: '#/components/schemas/card_transaction_data'
            subtype:
              $ref: '#/components/schemas/external_card_transaction_subtypes'
          required:
            - external_card_transaction
            - subtype
          type: object
        - $ref: '#/components/schemas/base_transaction'
      title: External Card Transaction
    fednow_transaction:
      allOf:
        - $ref: '#/components/schemas/base_transaction'
        - properties:
            fee_transaction:
              $ref: '#/components/schemas/fednow_transaction_data'
            subtype:
              $ref: '#/components/schemas/fednow_transaction_subtypes'
          required:
            - fednow_transaction
            - subtype
          type: object
      title: FedNow Transaction
    fee_transaction:
      allOf:
        - properties:
            fee_transaction:
              $ref: '#/components/schemas/fee_transaction_data'
            subtype:
              $ref: '#/components/schemas/fee_subtype'
          required:
            - fee_transaction
            - subtype
          type: object
        - $ref: '#/components/schemas/base_transaction'
      title: Fee Transaction
    internal_transfer_transaction:
      allOf:
        - properties:
            internal_transfer_transaction:
              $ref: '#/components/schemas/internal_transfer_transaction_data'
            subtype:
              $ref: '#/components/schemas/internal_transfer_transaction_subtypes'
          required:
            - subtype
          type: object
        - $ref: '#/components/schemas/base_transaction'
      title: Internal Transfer Transaction
    reward_transaction:
      allOf:
        - $ref: '#/components/schemas/base_transaction'
        - properties:
            reward_transaction:
              $ref: '#/components/schemas/reward_transaction_data'
            subtype:
              $ref: '#/components/schemas/reward_subtype'
          required:
            - reward_transaction
            - subtype
          type: object
      title: Reward Transaction
    synctera_pay_transaction:
      allOf:
        - properties:
            subtype:
              $ref: '#/components/schemas/synctera_pay_transaction_subtypes'
            synctera_pay_transaction:
              $ref: '#/components/schemas/synctera_pay_transaction_data'
          required:
            - subtype
            - synctera_pay_transaction
          type: object
        - $ref: '#/components/schemas/base_transaction'
      title: Synctera Pay Transaction
    wire_transaction:
      allOf:
        - properties:
            subtype:
              $ref: '#/components/schemas/wire_transaction_subtypes'
            wire_transaction:
              $ref: '#/components/schemas/wire_transaction_data'
          required:
            - subtype
            - wire_transaction
          type: object
        - $ref: '#/components/schemas/base_transaction'
      title: Wire Transaction
    ach_transaction_data:
      description: Transaction metadata specific to transactions with type `ACH`
      properties:
        description:
          description: The ACH company entry description
          type: string
        file_name:
          description: >-
            For outgoing ACH, the name of the file the entry went out in. For
            incoming ACH, the name of the file the entry came from.

            The value will be omitted for outgoing payments that have not yet
            been written into a file.
          type: string
        id:
          description: The ACH payment uuid (used in `/v0/ach` endpoint)
          type: string
        identification_number:
          description: >-
            An internal identification number used to uniquely identify the ACH
            entry. For Person-to-Person WEB entries, this should name of the
            originator.
          type: string
        originating_account_id:
          description: >-
            The uuid of the account originating the ACH. This will be a customer
            account uuid for outgoing ACH, and omitted for incoming ACH.
          format: uuid
          type: string
        originating_company_name:
          description: The name of the company originating the ACH entry.
          type: string
        originating_routing_number:
          description: The routing number of the originating DFI.
          type: string
        originator_name:
          description: The name of the originator, if available.
          type: string
        receiving_account_id:
          description: >-
            The uuid of the account receiving the ACH entry. In the case of an
            outgoing ACH, this will be an external_account uuid. For incoming
            ACH, this will be an account uuid.
          format: uuid
          type: string
        recipient_name:
          description: >-
            The name of the recipient according to the ACH entry. This should
            map to the ACH `Individual Name` field.
          type: string
        return_code:
          description: The ACH return code, if this transaction was a return
          example: R01
          type: string
        trace_number:
          description: The ACH trace number associated with the transaction
          type: string
      required:
        - id
      type: object
    base_transaction:
      properties:
        account_id:
          description: >-
            The account uuid associated with the transaction. `account_id` and
            `internal_account_id` are mutually exclusive
          example: 7d943c51-e4ff-4e57-9558-08cab6b963c7
          type: string
        amount:
          description: >-
            The total amount of the transaction including both pending and
            already posted amounts. The value is represented as the smallest
            denomination of the applicable currency.
          format: int64
          type: integer
        creation_time:
          description: The exact time the transaction was recorded in the ledger
          format: date-time
          type: string
        currency:
          description: ISO 4217 alphabetic currency code of the transfer amount
          type: string
        customer_id:
          description: |
            The uuid of the customer that initiated the transaction (if any)
          type: string
        dc_sign:
          description: >-
            The `dc_sign` represents the direction money was moved. A value of
            `DEBIT` is money moving out of an account, a value of `CREDIT` is
            money moving into an account
          enum:
            - CREDIT
            - DEBIT
          type: string
        decline:
          description: >-
            The decline object provides information explaining why a declined
            transaction was declined.
          properties:
            decline_details:
              description: Additional detail about the decline.
              type: string
            reason:
              description: The reason the transaction was declined
              enum:
                - ACH_RETURN
                - BALANCE_VIOLATION
                - DISABLED_PAYMENT_TYPE
                - DUPLICATE_TRANSACTION
                - GATEWAY_DECLINED
                - GATEWAY_ERROR
                - INSUFFICIENT_FUNDS
                - NETWORK_DECLINED
                - OTHER
                - SUSPECTED_FRAUD
                - TRANSACTION_NOT_PERMITTED
              type: string
          required:
            - reason
          type: object
        description:
          description: >-
            A human-friendly description of the transaction, provided by the
            integrator
          type: string
        effective_date:
          description: >-
            The effective date of the transaction. This usually aligns with
            network settlement date, which differs between transaction types.

            The effective date is also used to determine effective daily
            balances for the purposes of interest calculation.
          format: date
          type: string
        enhanced_transaction:
          $ref: '#/components/schemas/enhanced_transaction_data1'
        force_post:
          description: >-
            Determines whether or not a transaction or auth was "forced" or not.
            A forced transaction skips any account balance checks
          type: boolean
        fraud_risk:
          $ref: '#/components/schemas/fraud_risk_data'
        group_id:
          description: >-
            The group id of the transaction. Every transaction in the ledger is
            one entry in a double-entry system and the primary and offset
            transactions share the same `group_id`
          type: string
        hold_expiration_time:
          description: >-
            The date and time any pending amount is expected to be released back
            to the account.
          format: date-time
          type: string
        id:
          description: The unique identifier of the transaction
          format: uuid
          type: string
        internal_account_id:
          description: >-
            The internal account uuid associated with the transaction.
            `account_id` and `internal_account_id` are mutually exclusive
          example: 7d943c51-e4ff-4e57-9558-08cab6b963c7
          type: string
        last_updated_time:
          description: The date and time the transaction was last modified
          format: date-time
          type: string
        metadata:
          description: >-
            an unstructured json blob representing additional transaction
            information supplied by the integrator.
          nullable: true
          type: object
        partial_hold:
          description: >-
            Determines whether or not the funds on hold were the result of a
            partial auth or not. If `true` the `pending_amount` of the
            transaction will be less than the requested amount.

            This is primarily used for certain types of card transactions.
          type: boolean
        pending_amount:
          description: The amount amount of the transaction currently authorized or on hold
          format: int64
          type: integer
        posted_amount:
          description: >-
            The amount of the transaction that has been fully posted to the
            account
          format: int64
          type: integer
        posted_date:
          description: >-
            The date the transaction was posted (based on the bank calendar and
            end-of-day). For transaction with multiple postings, this is the
            date of the earliest posting.

            This will be omitted for transactions with a `posted_amount` of `0`.
          format: date
          type: string
        reference_id:
          description: >-
            An external ID provided by the payment network to represent this
            transaction. This is not guaranteed to be globally unique.

            This will always be omitted for internal transfers.
          type: string
        settlement_date:
          description: >-
            The date the transaction was settled according to Synctera's
            platform. Generally, this can be interpretted the date the
            transaction was actually processed and settlement by the payment
            network.
          format: date
          type: string
        status:
          $ref: '#/components/schemas/transaction_statuses'
        system_description:
          description: >-
            A human-friendly description of the transaction, provided by the
            Synctera platform
          type: string
        transaction_time:
          description: >-
            The time the transaction occurred. In most cases this will be
            roughly identical to creation_time, but it can differ in some
            situations if the payment doesn't appear in the ledger in real-time.
          format: date-time
          type: string
        type:
          $ref: '#/components/schemas/transaction_types'
      required:
        - amount
        - creation_time
        - currency
        - dc_sign
        - effective_date
        - force_post
        - group_id
        - id
        - last_updated_time
        - partial_hold
        - pending_amount
        - posted_amount
        - status
        - subtype
        - transaction_time
        - type
      type: object
    card_transaction_data:
      description: Transaction metadata specific to transactions with type `CARD`
      properties:
        card_id:
          description: Debit Network ID
          example: 7d943c51-e4ff-4e57-9558-08cab6b963c7
          format: uuid
          readOnly: true
          type: string
        currency_code:
          type: string
        currency_conversion:
          description: Currency conversion details
          properties:
            conversion_rate:
              description: The currency conversion rate used
              type: number
            original_amount:
              description: The original transaction amount before conversion
              format: int64
              type: integer
            original_currency_code:
              description: The original currency code
              type: string
          type: object
        merchant:
          description: Information about the merchant
          properties:
            address:
              description: Merchant address
              type: string
            city:
              description: Merchant city
              type: string
            country_code:
              description: Merchant country code
              type: string
            independent_sales_organization_id:
              description: Independent sales organization identifier
              type: string
            mcc:
              description: Merchant category code
              type: string
            mid:
              description: Merchant identifier
              type: string
            name:
              description: Merchant name
              type: string
            payment_facilitator_id:
              description: Payment facilitator identifier
              type: string
            postal_code:
              description: Merchant postal code
              type: string
            state:
              description: Merchant state
              type: string
            sub_merchant_id:
              description: Sub merchant identifier
              type: string
          type: object
        network:
          description: The network used for the transaction
          type: string
        network_reference_id:
          description: The ID provided by he network to represent this transaction
          type: string
        pos:
          description: Information about the point of sale
          properties:
            card_data_input_capability:
              description: Terminal Card data acceptance method
              type: string
            card_holder_presence:
              description: Cardholder presence
              type: boolean
            card_presence:
              description: Card presence
              type: boolean
            cardholder_authentication_method:
              description: Cardholder authentication method
              type: string
            country_code:
              description: Terminal country code
              type: string
            is_installment:
              description: Transaction is an installment payment
              type: boolean
            is_recurring:
              description: Transaction is recurring
              type: boolean
            pan_entry_mode:
              description: Card pan capture method
              type: string
            partial_approval_capable:
              description: Terminal partial approval capability
              type: boolean
            pin_entry_mode:
              description: Card pin capture method
              type: string
            pin_present:
              description: Pin presence
              type: boolean
            purchase_amount_only:
              description: Terminal purchase amount only
              type: boolean
            terminal_attendance:
              description: Terminal attendance
              type: string
            terminal_id:
              description: Terminal identifier
              type: string
            terminal_location:
              description: Terminal location
              type: string
            terminal_type:
              description: Terminal type
              type: string
            zip:
              description: Terminal zip code
              type: string
          type: object
      type: object
    cash_transaction_data:
      description: Transaction metadata specific to transactions with type `CASH`
      properties:
        id:
          description: The Synctera cash pickup deposit id
          type: string
      type: object
    check_transaction_data:
      description: Transaction metadata specific to transactions with type `WIRE`
      properties:
        back_image_id:
          description: The back image id of the captured check
          type: string
        check_number:
          description: The unique check number for this check in a given checkbook
          type: string
        front_image_id:
          description: The front image id of the captured check
          type: string
        id:
          description: The Synctera check deposit ID
          type: string
      type: object
    fednow_transaction_data:
      description: Transaction metadata specific to transactions with type `FEDNOW`
      properties:
        additional_transaction_information:
          description: >-
            Additional information about the transaction payment - in free text
            form
          items:
            maxLength: 140
            minLength: 1
            type: string
          maxItems: 3
          type: array
        customer_id:
          description: >-
            Unambiguous identification of the customer which owns the originator
            account
          type: string
        id:
          description: The FedNow payment uuid
          type: string
        originating_account_id:
          description: >-
            Unambiguous identification of the account of the originator of the
            transaction
          type: string
        receiving_account_id:
          description: >-
            Unambiguous identification of the account of the receiver of the
            payment transaction
          type: string
      type: object
    fee_transaction_data:
      description: Transaction metadata specific to transactions with type `FEE`
      properties:
        fee_id:
          description: The Synctera fee id
          type: string
        fee_template_id:
          description: The Synctera fee template id
          type: string
      type: object
    internal_transfer_transaction_data:
      description: >-
        Transaction metadata specific to transactions with type
        `INTERNAL_TRANSFER`
      properties:
        originating_account_id:
          description: The uuid of the account being debited
          type: string
        receiving_account_id:
          description: The uuid of the account being credited
          type: string
      type: object
    reward_transaction_data:
      description: Transaction metadata specific to transactions with type `REWARD`
      properties:
        reward_id:
          description: The Synctera reward id
          type: string
        template_id:
          description: The Synctera reward template id
          type: string
      type: object
    synctera_pay_transaction_data:
      description: Transaction metadata specific to transactions with type `SYNCTERA_PAY`
      properties:
        id:
          description: The Synctera Pay payment UUID
          format: uuid
          type: string
      type: object
    wire_transaction_data:
      description: Transaction metadata specific to transactions with type `WIRE`
      properties:
        beneficiary_name:
          description: The name of the beneficiary (recipient) of the wire transfer.
          type: string
        file_name:
          description: The file name the wire was sent in or received from
          type: string
        id:
          description: The Synctera Wire payment UUID
          format: uuid
          type: string
        originating_account_id:
          description: The UUID of the account that the wire payment is being sent from
          format: uuid
          type: string
        originator_name:
          description: The name of the originator of the wire transfer.
          type: string
        receiving_account_id:
          description: The UUID if the account that is receiving the wire
          format: uuid
          type: string
        recipient_message:
          description: The message to the recipient
          type: string
        wire_reference_number:
          description: The wire Sender Reference Number for the transfer
          type: string
      type: object
    enhanced_transaction_data1:
      description: Enriched transaction metadata
      properties:
        category:
          type: string
        enhanced_description:
          type: string
        enhanced_raw:
          items:
            properties:
              amount:
                description: The monetary amount of the transaction
                type: number
              categorized_by:
                description: The method used to detrmine the category
                type: integer
              category:
                description: The category of the transaction
                type: string
              category_guid:
                description: The unique identifier for the category
                type: string
              described_by:
                description: The method used to describe the transaction
                type: integer
              description:
                description: A human-readable version of `original_description`
                type: string
              extended_transaction_type:
                description: The transaction type assigned by the partner
                type: string
              id:
                description: The unique partner-defined identifier for the transaction
                type: integer
              is_bill_pay:
                description: Whether the transaction represents a bill payment
                type: boolean
              is_direct_deposit:
                description: Whether or not the transaction represents a direct deposit
                type: boolean
              is_expense:
                description: Whether or not the transaction represents an expense
                type: boolean
              is_fee:
                description: Whether or not the transaction represents a fee
                type: boolean
              is_income:
                description: Whether or not the transaction represents income
                type: boolean
              is_international:
                description: Whether or not the transaction is international
                type: boolean
              is_overdraft_fee:
                description: Whether or not the transaction is an overdraft fee
                type: boolean
              is_payroll_advance:
                description: Whether or not the transaction is a payroll advance
                type: boolean
              is_subscription:
                description: Whether or not the transaction is a subscription
                type: boolean
              memo:
                description: Additional descriptiive information about the transaction
                type: string
              merchant_category_code:
                description: The ISO 18245 category code for the transaction
                type: integer
              merchant_guid:
                description: The unique identifier for the merchant
                type: string
              merchant_location_guid:
                description: The unique identifier for the merchant location
                type: string
              original_description:
                description: The original description for the transaction
                type: string
              type:
                description: >-
                  The type of the transsaction. This will be either `CREDIT` or
                  `DEBIT`
                type: string
            type: object
          type: array
      type: object
    fraud_risk_data:
      description: Transaction fraud risk evaluation result
      properties:
        decision:
          description: The overall decision, based on the vendor response
          enum:
            - ACCEPT
            - DECLINE
          type: string
        reasons:
          description: >-
            Set of machine-readable descriptions of why the transaction was
            accepted or declined
          items:
            enum:
              - SUSPECTED_FRAUD
              - TRANSACTION_ACCEPTED
              - TRANSACTION_NOT_PERMITTED
            type: string
          type: array
        vendor:
          description: The external vendor used for risk evaluation
          enum:
            - FEEDZAI
            - HAWKAI
            - NONE
          type: string
        vendor_reasons:
          description: List of reasons supplied by the provider
          items:
            type: string
          type: array
      required:
        - decision
        - vendor
      type: object
  responses:
    bad_request:
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/error'
      description: Bad request
    unauthorized:
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/error'
      description: Unauthorized
    forbidden:
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/error'
      description: Forbidden
    unprocessable_entity:
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/error'
      description: Unprocessable entity
    internal_server_error:
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/error'
      description: Internal server error
  securitySchemes:
    bearerAuth:
      bearerFormat: api_key
      scheme: bearer
      type: http

````